0

I am trying to import a CSV from a url using the feeds module, I set everything up but when I start the import I get the following error:

An AJAX HTTP error occurred. HTTP Result Code: 200 Debugging information follows. Path: XXXXX StatusText: OK ResponseText: Fatal error: Unsupported operand types in XXXXX/sites/all/modules/feeds/includes/FeedsConfigurable.inc on line 149

I have traced that error to this code, specifically the last line:

  public function getConfig() {
    $defaults = $this->configDefaults();
    return $this->config + $defaults;
  }

Any idea why I am getting this error?

I removed the default mappings because they were for an RSS feed, with GUID title etc....Could this have something to do with it? Are those required?

1

Are you running the alpha-4 or the current dev version of the feeds module? There have been a number of tickets discussing the same error condition you are having with node_save on import that coalesced around this issue on Drupal.org with a resulting patch committed to the current dev branch. You can try downloading the current dev branch of feeds (almost a year older now than alpha-4) or applying the patch at #25 in the above issue if you don't want to accept all of the updates since the last alpha release.

  • thanks yea had found it was going to answer my own question if nobody else got to it. Thanks again – A_funs May 15 '12 at 6:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.